# Interface BuilderOptions

interface BuilderOptions {
allowSurrogateChars ?: boolean;
attrkey ?: string;
cdata ?: boolean;
charkey ?: string;
doctype ?: any;
headless ?: boolean;
renderOpts ?: RenderOptions ;
rootName ?: string;
xmldec ?: XmlDeclarationAttributes ;
}

- Defined in node_modules/@types/xml2js/index.d.ts:70

##### Index

### Properties

allowSurrogateChars?
attrkey?
cdata?
charkey?
doctype?
headless?
renderOpts?
rootName?
xmldec?

## Properties

### `Optional` allowSurrogateChars

allowSurrogateChars?: boolean

- Defined in node_modules/@types/xml2js/index.d.ts:78

### `Optional` attrkey

attrkey?: string

- Defined in node_modules/@types/xml2js/index.d.ts:71

### `Optional` cdata

cdata?: boolean

- Defined in node_modules/@types/xml2js/index.d.ts:79

### `Optional` charkey

charkey?: string

- Defined in node_modules/@types/xml2js/index.d.ts:72

### `Optional` doctype

doctype?: any

- Defined in node_modules/@types/xml2js/index.d.ts:76

### `Optional` headless

headless?: boolean

- Defined in node_modules/@types/xml2js/index.d.ts:77

### `Optional` renderOpts

renderOpts?: RenderOptions

- Defined in node_modules/@types/xml2js/index.d.ts:74

### `Optional` rootName

rootName?: string

- Defined in node_modules/@types/xml2js/index.d.ts:73

### `Optional` xmldec

xmldec?: XmlDeclarationAttributes

- Defined in node_modules/@types/xml2js/index.d.ts:75